public final class CustomAPISettings extends GeneratedMessage implements CustomAPISettingsOrBuilder
Settings required by Feeds of Custom API (Codeless).
Supports fetching data from third-party APIs with configurable pagination,
authentication, and response parsing.
Protobuf type google.cloud.chronicle.v1.CustomAPISettings
Inherited Members
com.google.protobuf.GeneratedMessage.<ContainingT,T>newFileScopedGeneratedExtension(java.lang.Class<?>,com.google.protobuf.Message)
com.google.protobuf.GeneratedMessage.<ContainingT,T>newMessageScopedGeneratedExtension(com.google.protobuf.Message,int,java.lang.Class<?>,com.google.protobuf.Message)
com.google.protobuf.GeneratedMessage.<ListT>makeMutableCopy(ListT)
com.google.protobuf.GeneratedMessage.<ListT>makeMutableCopy(ListT,int)
com.google.protobuf.GeneratedMessage.<T>emptyList(java.lang.Class<T>)
com.google.protobuf.GeneratedMessage.<V>serializeBooleanMapTo(com.google.protobuf.CodedOutputStream,com.google.protobuf.MapField<java.lang.Boolean,V>,com.google.protobuf.MapEntry<java.lang.Boolean,V>,int)
com.google.protobuf.GeneratedMessage.<V>serializeIntegerMapTo(com.google.protobuf.CodedOutputStream,com.google.protobuf.MapField<java.lang.Integer,V>,com.google.protobuf.MapEntry<java.lang.Integer,V>,int)
com.google.protobuf.GeneratedMessage.<V>serializeLongMapTo(com.google.protobuf.CodedOutputStream,com.google.protobuf.MapField<java.lang.Long,V>,com.google.protobuf.MapEntry<java.lang.Long,V>,int)
com.google.protobuf.GeneratedMessage.<V>serializeStringMapTo(com.google.protobuf.CodedOutputStream,com.google.protobuf.MapField<java.lang.String,V>,com.google.protobuf.MapEntry<java.lang.String,V>,int)
com.google.protobuf.GeneratedMessage.canUseUnsafe()
com.google.protobuf.GeneratedMessage.emptyBooleanList()
com.google.protobuf.GeneratedMessage.emptyDoubleList()
com.google.protobuf.GeneratedMessage.emptyFloatList()
com.google.protobuf.GeneratedMessage.emptyIntList()
com.google.protobuf.GeneratedMessage.emptyLongList()
com.google.protobuf.GeneratedMessage.internalGetMapFieldReflection(int)
com.google.protobuf.GeneratedMessage.isStringEmpty(java.lang.Object)
com.google.protobuf.GeneratedMessage.mergeFromAndMakeImmutableInternal(com.google.protobuf.CodedInputStream,com.google.protobuf.ExtensionRegistryLite)
com.google.protobuf.GeneratedMessage.newInstance(com.google.protobuf.GeneratedMessage.UnusedPrivateParameter)
com.google.protobuf.GeneratedMessage.parseUnknownFieldProto3(com.google.protobuf.CodedInputStream,com.google.protobuf.UnknownFieldSet.Builder,com.google.protobuf.ExtensionRegistryLite,int)
Static Fields
BASE_URL_FIELD_NUMBER
public static final int BASE_URL_FIELD_NUMBER
| Field Value |
| Type |
Description |
int |
|
BASIC_AUTH_FIELD_NUMBER
public static final int BASIC_AUTH_FIELD_NUMBER
| Field Value |
| Type |
Description |
int |
|
public static final int HEADER_AUTH_FIELD_NUMBER
| Field Value |
| Type |
Description |
int |
|
NO_AUTH_FIELD_NUMBER
public static final int NO_AUTH_FIELD_NUMBER
| Field Value |
| Type |
Description |
int |
|
OAUTH_CLIENT_CREDENTIALS_FIELD_NUMBER
public static final int OAUTH_CLIENT_CREDENTIALS_FIELD_NUMBER
| Field Value |
| Type |
Description |
int |
|
POLLING_FREQUENCY_FIELD_NUMBER
public static final int POLLING_FREQUENCY_FIELD_NUMBER
| Field Value |
| Type |
Description |
int |
|
PRIMARY_REQUEST_FIELD_NUMBER
public static final int PRIMARY_REQUEST_FIELD_NUMBER
| Field Value |
| Type |
Description |
int |
|
QUERY_AUTH_FIELD_NUMBER
public static final int QUERY_AUTH_FIELD_NUMBER
| Field Value |
| Type |
Description |
int |
|
Static Methods
getDefaultInstance()
public static CustomAPISettings getDefaultInstance()
getDescriptor()
public static final Descriptors.Descriptor getDescriptor()
newBuilder()
public static CustomAPISettings.Builder newBuilder()
newBuilder(CustomAPISettings prototype)
public static CustomAPISettings.Builder newBuilder(CustomAPISettings prototype)
public static CustomAPISettings parseDelimitedFrom(InputStream input)
public static CustomAPISettings parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)
parseFrom(byte[] data)
public static CustomAPISettings parseFrom(byte[] data)
| Parameter |
| Name |
Description |
data |
byte[]
|
parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)
public static CustomAPISettings parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)
parseFrom(ByteString data)
public static CustomAPISettings parseFrom(ByteString data)
parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)
public static CustomAPISettings parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)
public static CustomAPISettings parseFrom(CodedInputStream input)
public static CustomAPISettings parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)
public static CustomAPISettings parseFrom(InputStream input)
public static CustomAPISettings parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)
parseFrom(ByteBuffer data)
public static CustomAPISettings parseFrom(ByteBuffer data)
parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)
public static CustomAPISettings parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)
parser()
public static Parser<CustomAPISettings> parser()
Methods
equals(Object obj)
public boolean equals(Object obj)
| Parameter |
| Name |
Description |
obj |
Object
|
Overrides
getAuthenticationCase()
public CustomAPISettings.AuthenticationCase getAuthenticationCase()
getBaseUrl()
public String getBaseUrl()
Required. Enter the primary web address of the third-party API (e.g.,
https://api.vendor.com).
string base_url = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns |
| Type |
Description |
String |
The baseUrl.
|
getBaseUrlBytes()
public ByteString getBaseUrlBytes()
Required. Enter the primary web address of the third-party API (e.g.,
https://api.vendor.com).
string base_url = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns |
| Type |
Description |
ByteString |
The bytes for baseUrl.
|
getBasicAuth()
public UsernameSecretAuth getBasicAuth()
Authenticate using Username/Password credentials.
.google.cloud.chronicle.v1.UsernameSecretAuth basic_auth = 3;
getBasicAuthOrBuilder()
public UsernameSecretAuthOrBuilder getBasicAuthOrBuilder()
Authenticate using Username/Password credentials.
.google.cloud.chronicle.v1.UsernameSecretAuth basic_auth = 3;
getDefaultInstanceForType()
public CustomAPISettings getDefaultInstanceForType()
public CustomAPIHeaderAuth getHeaderAuth()
Authenticate using custom API Keys injected into request headers.
.google.cloud.chronicle.v1.CustomAPIHeaderAuth header_auth = 5;
public CustomAPIHeaderAuthOrBuilder getHeaderAuthOrBuilder()
Authenticate using custom API Keys injected into request headers.
.google.cloud.chronicle.v1.CustomAPIHeaderAuth header_auth = 5;
getNoAuth()
public CustomAPINoAuth getNoAuth()
Authenticate without credentials or secrets.
.google.cloud.chronicle.v1.CustomAPINoAuth no_auth = 8;
getNoAuthOrBuilder()
public CustomAPINoAuthOrBuilder getNoAuthOrBuilder()
Authenticate without credentials or secrets.
.google.cloud.chronicle.v1.CustomAPINoAuth no_auth = 8;
getOauthClientCredentials()
public OAuthClientCredentials getOauthClientCredentials()
Authenticate using OAuth 2.0 Client Credentials Grant flow.
.google.cloud.chronicle.v1.OAuthClientCredentials oauth_client_credentials = 4;
getOauthClientCredentialsOrBuilder()
public OAuthClientCredentialsOrBuilder getOauthClientCredentialsOrBuilder()
Authenticate using OAuth 2.0 Client Credentials Grant flow.
.google.cloud.chronicle.v1.OAuthClientCredentials oauth_client_credentials = 4;
getParserForType()
public Parser<CustomAPISettings> getParserForType()
Overrides
getPollingFrequency()
public int getPollingFrequency()
Optional. Specify how often the platform checks the API for new data in
minutes (default is 15 minutes).
int32 polling_frequency = 2 [(.google.api.field_behavior) = OPTIONAL];
| Returns |
| Type |
Description |
int |
The pollingFrequency.
|
getPrimaryRequest()
public CustomAPITransferNode getPrimaryRequest()
Required. Configure the initial API call used to fetch the main list of
logs or events.
.google.cloud.chronicle.v1.CustomAPITransferNode primary_request = 6 [(.google.api.field_behavior) = REQUIRED];
getPrimaryRequestOrBuilder()
public CustomAPITransferNodeOrBuilder getPrimaryRequestOrBuilder()
Required. Configure the initial API call used to fetch the main list of
logs or events.
.google.cloud.chronicle.v1.CustomAPITransferNode primary_request = 6 [(.google.api.field_behavior) = REQUIRED];
getQueryAuth()
public CustomAPIQueryAuth getQueryAuth()
Authenticate using custom API Keys injected into URL query parameters.
.google.cloud.chronicle.v1.CustomAPIQueryAuth query_auth = 9;
getQueryAuthOrBuilder()
public CustomAPIQueryAuthOrBuilder getQueryAuthOrBuilder()
Authenticate using custom API Keys injected into URL query parameters.
.google.cloud.chronicle.v1.CustomAPIQueryAuth query_auth = 9;
getSerializedSize()
public int getSerializedSize()
| Returns |
| Type |
Description |
int |
|
Overrides
hasBasicAuth()
public boolean hasBasicAuth()
Authenticate using Username/Password credentials.
.google.cloud.chronicle.v1.UsernameSecretAuth basic_auth = 3;
| Returns |
| Type |
Description |
boolean |
Whether the basicAuth field is set.
|
public boolean hasHeaderAuth()
Authenticate using custom API Keys injected into request headers.
.google.cloud.chronicle.v1.CustomAPIHeaderAuth header_auth = 5;
| Returns |
| Type |
Description |
boolean |
Whether the headerAuth field is set.
|
hasNoAuth()
public boolean hasNoAuth()
Authenticate without credentials or secrets.
.google.cloud.chronicle.v1.CustomAPINoAuth no_auth = 8;
| Returns |
| Type |
Description |
boolean |
Whether the noAuth field is set.
|
hasOauthClientCredentials()
public boolean hasOauthClientCredentials()
Authenticate using OAuth 2.0 Client Credentials Grant flow.
.google.cloud.chronicle.v1.OAuthClientCredentials oauth_client_credentials = 4;
| Returns |
| Type |
Description |
boolean |
Whether the oauthClientCredentials field is set.
|
hasPrimaryRequest()
public boolean hasPrimaryRequest()
Required. Configure the initial API call used to fetch the main list of
logs or events.
.google.cloud.chronicle.v1.CustomAPITransferNode primary_request = 6 [(.google.api.field_behavior) = REQUIRED];
| Returns |
| Type |
Description |
boolean |
Whether the primaryRequest field is set.
|
hasQueryAuth()
public boolean hasQueryAuth()
Authenticate using custom API Keys injected into URL query parameters.
.google.cloud.chronicle.v1.CustomAPIQueryAuth query_auth = 9;
| Returns |
| Type |
Description |
boolean |
Whether the queryAuth field is set.
|
hashCode()
| Returns |
| Type |
Description |
int |
|
Overrides
internalGetFieldAccessorTable()
protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Overrides
isInitialized()
public final boolean isInitialized()
Overrides
newBuilderForType()
public CustomAPISettings.Builder newBuilderForType()
newBuilderForType(AbstractMessage.BuilderParent parent)
protected CustomAPISettings.Builder newBuilderForType(AbstractMessage.BuilderParent parent)
Overrides
toBuilder()
public CustomAPISettings.Builder toBuilder()
writeTo(CodedOutputStream output)
public void writeTo(CodedOutputStream output)
Overrides